using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Runtime.InteropServices; 

namespace Ch14_NoRun
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            Application.Idle += new EventHandler(Application_Idle);
        }

        [DllImport("user32.dll")]
        public static extern ushort GetKeyState(short nVirtKey);

        public const ushort keyDownBit = 0x80;

        public bool IsKeyPressed(Keys key)
        {
            return ((GetKeyState((short)key) & keyDownBit) == keyDownBit);
        }

        int count = 0;
        void Application_Idle(object sender, EventArgs e)
        {
            count++;
        }

        private void Form1_MouseDown(object sender, MouseEventArgs e)
        {
            String str = String.Format("({0},{1})", e.X, e.Y);
            toolStripStatusLabelCoord.Text = str;
        }

        private void panel1_MouseEnter(object sender, EventArgs e)
        {
            
        }

        private void panel1_MouseLeave(object sender, EventArgs e)
        {

        }

        int countPrev = 0;
        private void buttonCount_Click(object sender, EventArgs e)
        {
            toolStripStatusLabelIns.Text = String.Format(
                "Idle Calls: {0}", (count - countPrev).ToString());
            countPrev = count;
        }
    }
}